/*
 * File: Expressions.java
 * ----------------------
 * Prints result of Java expressions.
 */

import acm.program.ConsoleProgram;

public class Expressions extends ConsoleProgram {
	
	public void run() {
		println(5 + 7 * 3 / 2 + (1 - 1) * 2);					// 15
		println('a' + "pp" + (double)1 + 'e');					// "app1.0e"
		println((!true || 9 % 2 > 0) &&  (44 / 10 == 4.4));		// false
	}
}
